/*
Theme Name: Astra Child
Template: astra
Version: 1.0
Author: Kasper De Bruyne
Author URI: https://kasperdebruyne.be
Description: Custom version of astra for caressbourdinmassage.com
*/

/* Import astra styles */
@import url("../astra/style.css");

/* Custom styles */
:root {
    --header-bg:transparent;
    --header-shadow:transparent;
}
::-webkit-scrollbar {
    width: 6px;
    height:6px;
}
::-webkit-scrollbar-track {
    background-color: transparent;
}
::-webkit-scrollbar-thumb {
    border-radius: 4px;
    background-color:  var(--ast-global-color-0);
}
html {
	font-size:16px;
}
.main-header-bar-wrap {
    position: fixed;
    width:100%;
    left:0;
    top:0px;
    transition:0.3s ease all;
    background:var(--header-bg);
    box-shadow:var(--header-shadow);
}
.ast-desktop .ast-primary-header-bar.main-header-bar, .ast-header-break-point #masthead .ast-primary-header-bar.main-header-bar {
	margin:0;
}
.title-big {
    mix-blend-mode: color-dodge;
}
.title-small {
    font-size: 2.5rem;
    line-height: 1.25em;
    color: #744911;
    letter-spacing: 6px;
    display: block;
}
/* Mobile nav */
.ast-header-break-point .main-header-menu {
    background-color: #ffffff;
}
.ast-header-break-point .main-navigation ul .menu-item .menu-link {
    border-bottom-width: 1px;
    border-style: solid;
    border-color: #eeebdb;
}
/* Mobile menu toggle */
.ast-theme-transparent-header [data-section="section-header-mobile-trigger"] .ast-button-wrap .ast-mobile-menu-trigger-fill {
    border-radius: 2px;
}
#ast-hf-menu-1 {
		border-color: #eeebdb;
}
/* Animating the dropdown for mobile */
@media screen and (max-width:922px) {
	.main-header-bar-wrap {
		background:var(--ast-global-color-5) !important;
	}
	.ast-mobile-header-content.content-align-flex-start {
    display: block;
}
.ast-mobile-header-wrap .ast-mobile-header-content, .ast-desktop-header-content {
    background-color: transparent;
}
.ast-mobile-header-wrap .ast-mobile-header-content {
    display: block;
}
/* Mobile only */
.main-header-bar-wrap {
    position: fixed;
    width: 100%;
    left: 0;
    top: 0px;
    transition: 0.3s ease all;
    background: var(--header-bg);
    box-shadow: var(--header-shadow);
    z-index: 2;
}
.main-header-bar-navigation {
    position: fixed;
    transition: 0.4s ease all;
    transform: translateY(-100%);
    z-index: 0;
    top: 90px;
    left: 0;
    right:0;
}
.main-header-bar-navigation.toggle-on {
    transform: translateY(0);
}
}
/* link hover services section
 home underline link effect */
.elementor-heading-title.elementor-size-default a {
    position: relative;
    display:inline-block;
    overflow-x:hidden;
}
.elementor-heading-title.elementor-size-default a::before {
    content: "";
    position: absolute;
    left:0;
    bottom: 1px;
    width:100%;
    transform:translateX(-60%);
    height: 1px;
    border: 1px solid #0f172a;
    transition:0.4s ease all;
    transform: translateX(-60%);    
}
.elementor-heading-title.elementor-size-default a:hover::before {
  transform:translateX(0%);
}
/* Homepage video */
.elementor-widget-video .elementor-wrapper video {
	background-color:none;
}
/* Homepage blog thumbnail img */
.premium-blog-thumbnail-container img {
    border-radius: 4px;
}
/* footer */
footer {
    z-index: 1;
    position: relative;
}
.footer-social-item {
    transition: 0.4s ease all;
}
/* 404 */ 
.error404 .page-header .page-title {
    color: var(--ast-global-color-2);
}
section.error-404.not-found {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100svh;
}
.ast-separate-container .error-404 {
	background-color:var(--ast-global-color-5);
}
.widget_search .search-form .search-field {
    border-width: 2px;
    border-color: var(--ast-global-color-1);
    border-radius: 4px;
}
.widget_search .search-form button {
    top: 4px;
}
/* Tarieven */
@media screen and (min-width:768px) {
/* active tab titlecss */
.elementor-tab-desktop-title.elementor-active {
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
}
/* active tab body css */
.elementor-15 .elementor-element.elementor-element-bbf1131 .elementor-tabs-content-wrapper {
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;
	  box-shadow:5px 4px 20px 1px rgba(0,0,0,0.1);
}
#elementor-tab-content-1971,#elementor-tab-content-1972,#elementor-tab-content-1973,#elementor-tab-content-1974{
    border-bottom-left-radius: 4px;
    border-bottom-right-radius: 4px;
}
}
@media screen and (max-width:767px) {
	.elementor-15 .elementor-element.elementor-element-bbf1131 .elementor-tabs-content-wrapper {
    background-color: transparent;
}
.elementor-15 .elementor-element.elementor-element-bbf1131 .elementor-tab-mobile-title, .elementor-15 .elementor-element.elementor-element-bbf1131 .elementor-tab-desktop-title.elementor-active, .elementor-15 .elementor-element.elementor-element-bbf1131 .elementor-tab-title:before, .elementor-15 .elementor-element.elementor-element-bbf1131 .elementor-tab-title:after, .elementor-15 .elementor-element.elementor-element-bbf1131 .elementor-tab-content, .elementor-15 .elementor-element.elementor-element-bbf1131 .elementor-tabs-content-wrapper {
    background: #FFF;
	  border-radius:4px;
}
.elementor-15 .elementor-element.elementor-element-bbf1131 .elementor-tab-title {
    background: #FFF;
    border-radius:4px;
}
}
/* Massages pagina */
.massage-link-container {
    display: flex;
    align-items: center;
    justify-content: center;
    transition: 0.2s ease transform;
}
.massage-link-container:hover  {
    transform: translateY(-4px);
}
@media screen and (min-width:768px) {
	.massage-link-container {
        min-height: 200px;
	}	
}
.massage-link, .massage-link-wide {
	font-size:1.25rem;
	font-weight:bold;
	display:flex;
	flex-direction:column;
	align-items:center;
	padding: 16px 32px;
	text-align:center;
}
.massage-link-wide {
	padding: 16px;
}
.massage-link-icon {
	width:60px;
	height:60px;
}
.massage-link-icon path {
	transition: 0.2s linear fill;
}
.massage-link-container a:hover > svg > path {
    fill: var(--ast-global-color-0);;   
}
/* Boek een sessie */
.appointlet-button {
    background-color:var(--ast-global-color-5) !important;
    color:var(--ast-global-color-3) !important;
    border:2px solid var(--ast-global-color-0) !important;
    width: 100%;
    height: 100%;
    max-width: 330px;
    font-family:"Baloo Bhai 2" !important
}	
@media screen and (min-width:1025px) {
	.appointlet-button {
		min-height:108px; 
	}
}
.appointlet-featured-container:hover .appointlet-featured {
    transform: translateY(-2px);
}
.appointlet-featured {
    position: relative;
    z-index: 1;
}
.appointlet-featured {
    transition: 0.2s linear transform;
    will-change: transform;
}
.appointlet-featured:before,.appointlet-featured:after {
    content:"";
    width:64px;
    height:64px;
    position:absolute;
    background:var(--ast-global-color-1);
    border-radius:50%;
    right:12px;
    top:-30px;
    box-shadow:0 0 15px rgba(0,0,0,.3);
    z-index:1;
}
.appointlet-featured:after {
    content:"Aanrader";
    color:white;
    background:none;
    font-size:0.875rem;
    font-weight:bold;
    box-shadow:none;
    top:-12px;
    right:9px;
}
@media screen and (max-width:1024px) {
    .appointlet-featured:before, .appointlet-featured:after {
        width: 58px;
        height: 58px;
    }
    .appointlet-featured:after {
        font-size: 0.75rem;
        top: -13px;
        right: 8px;
    }
}
/* Cadeaubon/voucher form */
.voucher-form .wpforms-container {
    margin-bottom: 0;
}
#wpforms-5801 input, #wpforms-5801 textarea {
    border: 2px solid var(--ast-global-color-0);
    border-radius: 4px;
    background: #FFF;
    padding: 6px 12px;
}
textarea#wpforms-5801-field_4 {
	resize: vertical;
}
#wpforms-submit-5801 {
    border-radius: 24px;
    transition: 0.4s ease all;
    width: 100%;
}
#wpforms-submit-5801:hover {
    background: #d09a40;
}
#wpforms-5801 .wpforms-submit-container {
    text-align: center;
}
#wpforms-confirmation-5801 {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 80px;
}
/* form dropdown */
.wpforms-container .wpforms-form .choices__inner {
    border: 2px solid var(--ast-global-color-0) !important;
    border-top-left-radius: 4px !important;
    border-top-right-radius: 4px !important;
}

.wpforms-container .wpforms-form .choices__list--dropdown {
    border: 2px solid var(--ast-global-color-0) !important;
    margin-top: -2px;
    border-bottom-left-radius: 4px !important;
    border-bottom-right-radius: 4px !important;
}
.wpforms-container .wpforms-form .choices__placeholder {
    opacity: 1 !important;
}
/* dropdown search */
#wpforms-5801 input[type="search"]:focus {
    border: 2px solid var(--ast-global-color-0) !important;
    box-shadow: none !important;
}
#wpforms-5801 input[type="search"] {
    border: 2px solid var(--ast-global-color-0) !important;
}
/* form overlay */
.voucher-form-container {
    position: fixed;
    width: 100vw;
    height: 100vh;
    background: rgba(0, 0, 0, 0.3);
    top: 0;
    left: 0;
    z-index: 99;
    display:flex;
    align-items:center;
    justify-content:center;
    opacity:0;
    visibility:hidden;
}
.voucher-form {
    position: relative;
    background: #FFF;
    border-radius: 4px;
    border-top-right-radius: 6px;
    padding: 2rem;
}

/* Contact */
#wpforms-10 input, #wpforms-10 textarea {
    border: 2px solid var(--ast-global-color-0);
    border-radius:4px;
    background:#FFF
}
#wpforms-10 textarea {
	resize: vertical;
}
#wpforms-10 button {
    border-radius: 24px;
    transition: 0.4s ease all;
    width: 100%;
}
#wpforms-10 button:hover {
    background: #d09a40;
}
.gmap-iframe {
	border:2px solid var(--ast-global-color-0) !important;
	border-radius:4px;
}
/* Review Section */
.review-toggle {
    border-radius:2rem;
    transition: 0.3s ease background;
}
.glsr.glsr-default.glsr-ltr[data-shortcode="site_reviews_form"] {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 9999;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100dvh;
    width: 100vw;
    background: rgba(0, 0, 0, 0.5);
    opacity:0;
    visibility:hidden;
    padding:1rem;
}
.glsr-form-wrap {
    position:relative;
    background: #FFF;
    padding: 2rem;
    border-radius: 4px;
    border-top-right-radius: 6px;
    width:100%;
    max-width:496px;
}
.glsr-review-form {
    position: relative;
    z-index: 0;
}
.glsr-default form.glsr-form {
    grid-row-gap: 12px;
    row-gap: 12px;
}
/* form checkbox */
.glsr-default form.glsr-form .glsr-field-toggle input[type=checkbox]:checked+.glsr-toggle-track:before {
    background-color: #dca54a !important; 
}
/* submit button */
button.glsr-button.wp-block-button__link {
    text-transform: uppercase;
    border-radius: 32px;
    transition:0.3s ease background;
}
/* form labels */
.glsr-default form.glsr-form label.glsr-label {
    width: calc(100% - 60px);
}
/* rating input */
.glsr-field-rating {
    width: calc(100% - 60px);
}
/* form input */
.glsr-default form.glsr-form input.glsr-input:not(.wp-block-search__input), .glsr-default form.glsr-form select.glsr-select, .glsr-default form.glsr-form textarea.glsr-textarea {
    border: 2px solid var(--ast-global-color-0);
}
/* form textarea */
.glsr-default form.glsr-form input.glsr-input, .glsr-default form.glsr-form select.glsr-select, .glsr-default form.glsr-form textarea.glsr-textarea {
    border: 2px solid var(--ast-global-color-0) !important;
}
/* form toggle */
.glsr-field-choice {
    display: none;
}
/* error handling */
.glsr-default .glsr-field-error {
    font-size: 0.75rem;
}
.glsr-default .glsr-form-failed {
    font-size: 0.875rem;
}
/* focus/active state form */
.glsr-default form.glsr-form input.glsr-input:focus, .glsr-default form.glsr-form select.glsr-select:focus, .glsr-default form.glsr-form textarea.glsr-textarea:focus {
/*     box-shadow: 0 0 0 2px var(--ast-global-color-0); */
    box-shadow:0 0 0 0 !important;
}
/* form close btn */
.close-form-btn {
    position: absolute;
    top: 0;
    right: 0;
    border-radius: 0px 4px 0px 2px;
    padding:0;
    width: 60px;
    height: 40px;
    z-index:1;
    transition: 0.3s ease background;
}
.close-form-btn:before {
    content: "";
    position: absolute;
    width: 2px;
    height: 14px;
    background: white;
    transform: rotate(-45deg);
    top: 12px;
    left: 29px;
}
.close-form-btn:after {
    content: "";
    position: absolute;
    width: 2px;
    height: 14px;
    background: white;
    transform: rotate(45deg);
    left: 29px;
    top: 12px;
}
/* the actual review */
.glsr-reviews {
    grid-auto-flow: column;
    grid-template-columns: repeat(3, 1fr);
    gap:var(--glsr-review-row-gap);
}
.glsr-review {
    border-radius:4px;
    background: #FFF;
    border: 4px solid var(--ast-global-color-0);
    padding: 16px;
    flex-wrap: nowrap;
    gap: 8px;
    flex-direction: column;
    box-shadow: 4px 4px 4px rgba(0,0,0,0.1);
}
.glsr-default .glsr-review p {
	margin-bottom:0rem;
}
.glsr-review-content {
	height:60px;
	overflow-y:auto;
}
.glsr-read-more a {
    text-decoration: underline;
}
.glsr-review-author {
    font-weight: bold;
}
/* toon meer modal */
.glsr-modal__content {
    padding: 1rem;
}
.glsr-modal button.glsr-modal__close:before {
    font-size: 20px;
}
/* temp */
.glsr-default .glsr-review-rating {
    align-items: flex-start;
    display: inline-flex;
    flex-shrink: 0;
    justify-content: start;
}
.glsr-default .glsr-review-date {
    align-items: flex-start;
    display: inline-flex;
    flex: 0;
}
.glsr-default .glsr-review-content {
    display: inline-flex;
    flex-grow: 1;
}
/* Reviews Mobile */
@media screen and (max-width:768px) {
	.glsr-reviews {
        grid-auto-flow: row;
        grid-template-columns:1fr;
	}
	.glsr-form-wrap {
        padding: 1rem;
	}
	.glsr-default form.glsr-form input.glsr-input, .glsr-default form.glsr-form select.glsr-select, .glsr-default form.glsr-form textarea.glsr-textarea {
	    max-height: 80px;
		}
	.glsr-review-content {
	    height:70px;
    }
}
/* review pagination */
.glsr-default .glsr-pagination .pagination {
    display: flex;
    align-items: center;
    justify-content: center;
}
.page-numbers {
    margin:0 4px;
}
.page-numbers.next,.page-numbers.prev {
    text-decoration:underline;
}
.page-numbers.current {
    font-weight: bold;
}
/* animation */
.animate {
	transition:0.4s visibility, 0.3s ease opacity 0.1s;
}

/* general astra adjustments */
.main-header-bar {
   background:transparent;
}
.ast-container, .ast-container-fluid {
    padding-left: 1rem;
    padding-right: 1rem;
}
/* blog post index page */
.blog-index {
    margin-top: 0 !important;
    margin-bottom:0 !important;
}
/* blog index post img thumbnail style */
.ast-blog-layout-5-grid .ast-blog-featured-section {
    padding: 1rem;
    overflow: hidden;
}
/* media queries */
@media (max-width: 921px) {
    .ast-blog-layout-5-grid .ast-blog-featured-section {
        margin-bottom: 0;
    }
		.ast-separate-container #primary, .ast-separate-container #secondary {
        padding: 0;
    }
}
@media (max-width: 544px) {
    .ast-separate-container #content .ast-container {
        padding-left: 1rem;
        padding-right: 1rem;
    }
}
.entry-title a {
    color: var(--ast-global-color-2);
    text-transform: uppercase;
}
.ast-article-post .post-thumb-img-content {
    border-radius: 4px;
}
/* blog post index read more button */
p.ast-blog-single-element.ast-read-more-container.read-more a {
    background: var(--ast-global-color-0);
    border-radius: 32px;
    padding: 16px 40px;
    color: var(--ast-global-color-5);
    line-height: 0.8;
    transition: 0.3s ease background;
}
p.ast-blog-single-element.ast-read-more-container.read-more a:hover {
    background: var(--ast-global-color-1);
}

/* the actual posts */
.archive .ast-article-post, .blog .ast-article-post, .archive .ast-article-post:hover, .blog .ast-article-post:hover {
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
    border-bottom-left-radius: 4px;
    overflow: visible;
}
.ast-separate-container .ast-article-inner {
    background-color: white;
    background-image: none;
    border: 4px solid var(--ast-global-color-0);
    box-shadow: 4px 5px 20px 1px rgba(0, 0, 0, 0.1);
    border-radius: 4px;
}
/* pagination */
.post-page-numbers.current .page-link, .ast-pagination .page-numbers.current {
    color: var(--ast-global-color-5);
    border-color: var(--ast-global-color-0);
    background-color: var(--ast-global-color-0);
}
.ast-pagination .page-numbers {
    width: 36px;
    height: 36px;
    line-height: 36px;
    border-radius: 4px;
    font-size: 1rem;
}
a.prev.page-numbers,a.next.page-numbers {
    width: auto;
}
@media (max-width: 921px) {
    .ast-separate-container .ast-blog-layout-5-grid .post-content {
        padding: 1rem;
    }
}
/* single blog post page */
.blog-page:before {
    background: url(http://caressbourdinmassage.com/wp-content/uploads/2023/12/pexels-lumn-167699.jpg);
    background-size: cover;
    background-repeat: no-repeat no-repeat;
    background-position: center center;
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: -1;
    top: 0;
    left: 0;
    opacity: 0.3;
}
/* post */
.single-layout-1 {
    border: 4px solid var(--ast-global-color-0);
    border-radius: 4px;
    padding: 2rem;
    box-shadow: 5px 4px 20px 1px rgba(0, 0, 0, 0.1);
	background: var(--ast-global-color-5);
}
.single-layout-1 .entry-header .entry-title {
    font-size: 3rem;
    text-transform: uppercase;
}
@media screen and (max-width:768px) {
	.single-layout-1 .entry-header .entry-title {
        font-size: 2.25rem;
    }
}
/* post navigation */
.single .post-navigation {
    margin: 0;
    padding: 2em 0 !important;
    border-top: none;
}
.single .post-navigation a {
    color: #fff !important;
    background: var(--ast-global-color-0);
    border-radius: 32px;
    padding: 16px 40px;
    line-height: 1rem;
    height: auto;
}
.single .post-navigation a:hover {
    background: var(--ast-global-color-1);
}
.nav-previous a {
    padding-left:0;
    padding-right:0;
}
@media (min-width: 421px) {
    .single .post-navigation .nav-next, .single .post-navigation .nav-previous {
        width: 100%;
    }
}
/* comments */
/* actual comments */
.ast-comment-list > .comment:last-child .ast-comment {
    background: #ffffff;
    margin: 16px 0;
    border-radius: 4px;
    padding: 16px;
    box-shadow: 2px 2px 6px 0px rgba(0, 0, 0, 0.1);
    border: 1px solid var(--ast-global-color-0);
}

/* comment form */
input[type=email], input[type=number], input[type=password], input[type=reset], input[type=search], input[type=tel], input[type=text], input[type=url], select, textarea {
    background: var(--ast-global-color-5);
}
.comments-area textarea#comment, .comments-area .ast-comment-formwrap input[type="text"] {
    border: 2px solid var(--ast-global-color-0);
    border-radius: 4px;
}
.comments-area textarea#comment, .comments-area .ast-comment-formwrap input[type="text"] {
    margin-bottom: 16px;
}
.ast-row.comment-textarea textarea {
    border: 2px solid var(--ast-global-color-0);
    border-radius: 4px !important;
    resize: vertical;
    background:var(--ast-global-color-5)
}
.comments-area.comment-form-position-below {
    border: 4px solid var(--ast-global-color-0);
    padding: 2rem;
    box-shadow: 5px 4px 20px 1px rgba(0, 0, 0, 0.1);
	background: var(--ast-global-color-5);
}
p.comment-form-cookies-consent {
    margin-bottom: 16px;
}
/* comment button */
#comments .submit, .search .search-submit {
    padding: 16px 40px;
    border-radius: 32px;
    line-height: 1em; 
    transition:0.3s ease background;
}
/* machete cookies */

.machete_accept_cookie_btn:hover, .machete_accept_cookie_btn:focus, .machete_accept_cookie_btn:focus-visible {
    filter: brightness(1) !important;
}
.machete_cookie_warning_text a {
    filter: brightness(1) !important;
}



/* Voucher payment success */
.voucher-success-page {
    width: 100%;
}
.voucher-summary {
    position: relative;
    background: #FFF;
    border: 4px solid var(--ast-global-color-1);
    border-radius: 4px;
    padding: 2rem;
    padding-bottom:3rem;
    box-shadow: 5px 4px 20px 1px rgba(0, 0, 0, 0.1);
    margin: 16px 0;
}
.voucher-summary:before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background: white;
    top: 0;
    left: 0;
    z-index: 0;
    background: url(https://caressbourdinmassage.com/wp-content/uploads/2026/04/coupon-bg.svg);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}
.voucher-summary-details {
    display: grid;
    grid-template-columns: auto 1fr;
    grid-gap: 1rem;
    margin-top: 4rem;
}
.voucher-summary-details .value {
    text-align: right;
    font-weight: bold;
    overflow-wrap: break-word;
    min-width: 0;
}
.voucher-summary-heading {
    position: relative;
    display: grid;
    grid-template-columns: 1fr 120px;
    grid-template-rows: 120px;
    text-align:left;
}
.voucher-summary-heading:after {
    position: absolute;
    content: "";
    bottom: -24px;
    border: 2px dashed var(--ast-global-color-1);
    width: 100%;
    opacity: 0.75;
}
h2.voucher-summary-label {
    margin: 0;
    align-self: center;
    text-align:left;
}
.voucher-summary-value-bg {
    position: relative;
    z-index: 1;
    align-self: center;
}
.voucher-summary-value-bg:before {
    content: "";
    position: absolute;
    top: -39px;
    right: 0px;
    background: var(--ast-global-color-1);
    width: 120px;
    height: 120px;
    border-radius: 50%;
    z-index: -1;
    box-shadow: 1px 1px 8px 5px rgba(0, 0, 0, 0.1);
}
@media screen and (max-width: 920px) {
    .voucher-summary-value-bg:before {
        content: "";
        position: absolute;
        top: -25px;
        right: 20px;
        background: var(--ast-global-color-1);
        width: 80px;
        height: 80px;
        border-radius: 50%;
        z-index: -1;
    }
}
.voucher-summary-heading .voucher-summary-value {
    color: #FFF;
    justify-self: center;
    align-self: center;
    margin-bottom: 0;
    line-height:1;
    text-align:center;
}
.voucher-summary-label {
    margin: 0;
}


/* cancel page */
.cancel-list {
    list-style-type: none;
    margin:0;
}

/* voucher portal */
.voucher-portal-form {
    text-align:center;
}
.voucher-portal-form input{
    border:2px solid var(--ast-global-color-1);
    border-radius:4px;
    background:#FFF;
    padding:12px;
    margin-bottom:12px; 
}
.voucher-portal-form input:focus {
    border:2px solid var(--ast-global-color-1);
}
.voucher-portal-form button {
    transition:all .3s;
}



/* WPForms */
.wpforms-container label.wpforms-error {
    color:#e02424 !important
}

/* blog post previews */
.premium-blog-post-container {
    overflow: visible !important;
}
.premium-blog-thumb-effect-wrapper {
    position: relative;
    overflow: visible;
    border-radius: 2px;
    box-shadow: 3px 5px 10px 1px rgba(0, 0, 0, 0.1);
}

/* astra mobile hamburger menu */
.mobile-menu-toggle-icon .ahfb-svg-iconset {
    display:none !important;
}
button.menu-toggle.main-header-menu-toggle.ast-mobile-menu-trigger-fill {
    width: 44px !important;
    height: 44px !important;
}
.mobile-menu-toggle-icon {
  position: relative;
  width: 20px;
  height: 2px; /* this IS the middle bar */
  background: currentColor;
  display: inline-block;
  transition: background 0.2s ease;
}
.mobile-menu-toggle-icon::before,
.mobile-menu-toggle-icon::after {
  content: "";
  position: absolute;
  left: 0;
  width: 100%;
  height: 2px;
  background: currentColor;
  transition: transform 0.24s ease;
}

.mobile-menu-toggle-icon::before {
  top: -6px;
}

.mobile-menu-toggle-icon::after {
  top: 6px;
}
.menu-toggle.toggled .mobile-menu-toggle-icon svg {
  display: none;
}
.menu-toggle.toggled .mobile-menu-toggle-icon {
  background: transparent; /* hide middle bar */
}

.menu-toggle.toggled .mobile-menu-toggle-icon::before {
  transform: translateY(6px) rotate(45deg);
}

.menu-toggle.toggled .mobile-menu-toggle-icon::after {
  transform: translateY(-6px) rotate(-45deg);
}


/* elementor tabs */
/* elementor tabs */
.elementor-tab-content {
  display: block !important; 
  opacity: 0;
  position: absolute; 
  width: 100%;
  left: 0;
  top: 0;
}
.elementor-tab-content.elementor-active {
  opacity: 1; 
  position: relative;
} 
.elementor-tab-title {
    z-index:1;
    position:relative;
}
.elementor-tab-content > * {
  opacity: 0;
  transform:translateY(4px);
  transition: all 0.3s ease; 
}
.elementor-tab-content.elementor-active > * {
  opacity: 1; 
  transform:translateY(0px);
  transition-delay: 0.24s; /*avoids overlap with previous tab*/
}
/* */
.elementor-tab-title {
  transition: color 0.3s ease;
}
.elementor-tab-title.elementor-active {
  color: var(--ast-global-color-1);
}

table, td, th {
    border: 1px solid var(--ast-global-color-0);
}

/* blog post buttons */
.premium-blog-excerpt-link {
    color: #FFF !important;
    background: var(--ast-global-color-0) !important;
    padding: 16px 40px !important;
    border-radius: 24px !important;
}

.premium-blog-excerpt-link:hover {
    color: #FFF !important;
    background: var(--ast-global-color-1) !important;
}
@media screen and (max-width:375px) {
    .premium-blog-post-outer-container.slick-slide.slick-current.slick-active {
        padding-bottom: 34px;
    }
}